Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKDateTimeFormatElement Class Reference

`#include <IWORKFormatElement.h>`

Inheritance diagram for libetonyek::IWORKDateTimeFormatElement:

## Public Member Functions
| IWORKDateTimeFormatElement (IWORKXMLParserState &state, boost::optional< IWORKDateTimeFormat > &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
void | endOfElement () override

## Private Attributes
boost::optional< IWORKDateTimeFormat > & | m_value

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKDateTimeFormatElement()

libetonyek::IWORKDateTimeFormatElement::IWORKDateTimeFormatElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKDateTimeFormat > & | value
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKDateTimeFormatElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| override private

## ◆ endOfElement()

void libetonyek::IWORKDateTimeFormatElement::endOfElement | ( |  | ) |
| override private

## Member Data Documentation

## ◆ m_value

boost::optional<IWORKDateTimeFormat>& libetonyek::IWORKDateTimeFormatElement::m_value
| private

Referenced by attribute(), endOfElement(), and IWORKDateTimeFormatElement().

The documentation for this class was generated from the following files:

- IWORKFormatElement.h
- IWORKFormatElement.cpp